Examplary
Start for free
Developer docs

Run app page action

POSThttps://api.examplary.ai/org/apps/{appId}/pages/{pageId}/actions/{name}

Runs one of the actions of a page an app adds to the dashboard, with the workspace's settings merged with the user's. When the app refuses, its message is the error.

Path parameters

appIdstringrequired
pageIdstringrequired
namestringrequired

Request body

inputany

Responses

200 — The action's result.

400 — The app refused, or is not installed.

403 — The page is for admins only.

404 — Unknown app, page or action.

429 — Rate limit exceeded

Requirements

Rate limit

120 requests per minute per user.

User roles

This endpoint requires the admin, owner, or teacher role to be present.

OAuth scopes

This endpoint requires the apps:write scope to be present.